%global momorel 8

Summary: Ming/Slide
Name: ming-slide
Version: 0.0.3
Release: %{momorel}m%{?dist}
URL: http://madscientist.jp/~ikegami/ruby/ming/slide/index-ja.html
Source: http://madscientist.jp/~ikegami/sources/ming-slide-%{version}.tar.gz
Patch0: ming-slide-momonga.patch
NoSource: 0
License: GPL
Group:  Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby-ming, ruby-uconv, ruby-rdtool
BuildPreReq: ming-devel
BuildArch: noarch

%description
Ming/SLide is a library to create a presentation slides using Ming/Ruby.

Ming/Ruby is an extension library for Ruby to use the Ming.
The Ming is a library to create Macromedia Flash.

%prep
%setup -q -n ming-slide
%patch0 -p1 -b .theme-path

%build
RUBYVER=`ruby -e "print RUBY_VERSION.split('.')[0,2].join('.')"`
RUBYPLATFORM=`ruby -e "print RUBY_PLATFORM"`
ruby install.rb config \
        --bin-dir=%{buildroot}%{_bindir} \
        --rb-dir=%{buildroot}/usr/lib/ruby/$RUBYVER/ \
        --so-dir=%{buildroot}/usr/lib/ruby/$RUBYVER/$RUBYPLATFORM \
        --data-dir=%{buildroot}%{_datadir} \
        --ruby-path=%{_bindir}/ruby
ruby install.rb setup

%install
rm -rf %{buildroot}
ruby install.rb install
for i in %{_datadir}/jaming/fonts/*.fdb; do
  ln -s $i %{buildroot}%{_datadir}/ming-slide/fonts/
done

# remove. maji? iino?
rm -f %{buildroot}%{_bindir}/msd2swf.theme-path
rm -f %{buildroot}%{_bindir}/rd2swf.theme-path

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/rd2swf
%{_bindir}/msd2swf
/usr/lib/ruby/*/ming/slide
%{_datadir}/ming-slide
%doc ChangeLog README.* TODO fonts.* usage-*.txt LGPL examples

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.3-8m)
- rebuild against gcc43

* Sun Jul 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.3-7m)
- fix conflict dir

* Fri Jul 15 2005 Toru Hoshina <t@momonga-linux.org>
- (0.0.3-6m)
- /usr/lib/ruby

* Fri Feb 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.0.3-5m)
- enable x86_64.

* Tue May 18 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.0.3-4m)
- change URI

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (0.0.3-3m)
- revised spec for enabling rpm 4.2.

* Tue Aug  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.0.3-2m)
- rebuild against ruby-1.8

* Tue Aug 20 2002 Junichiro Kita<kita@momonga-linux.org>
- (0.0.3-1m)
- initial revision
